Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.entry
Class UIDescriptorFactory

    java.lang.Object
      org.jini.rio.entry.UIDescriptorFactory

    public class UIDescriptorFactory

extends Object

A helper utility that creates a UIDescriptor as part of the ServiceUI project

Constructor Summary
`UIDescriptorFactory()`

Method Summary
`static UIDescriptor` | `getJComponentDesc(String codebase, String[] jars, String className)` Get a UIDescriptor for a JComponent
`static UIDescriptor` | `getJComponentDesc(String codebase, String[] jars, String className, String algorithm)` Get a UIDescriptor for a JComponent using HTTPMD support
`static UIDescriptor` | `getJComponentDesc(String codebase, String jarName, String className)` Get a UIDescriptor for a JComponent
`static UIDescriptor` | `getJComponentDesc(String codebase, String jarName, String className, String algorithm)` Get a UIDescriptor for a JComponent using HTTPMD support
`static UIDescriptor` | `getJFrameDesc(String codebase, String[] jars, String className)` Get a UIDescriptor for a JFrame
`static UIDescriptor` | `getJFrameDesc(String codebase, String[] jars, String className, String algorithm)` Get a UIDescriptor for a JFrame using HTTPMD support
`static UIDescriptor` | `getJFrameDesc(String codebase, String jarName, String className)` Get a UIDescriptor for a JFrame
`static UIDescriptor` | `getJFrameDesc(String codebase, String jarName, String className, String algorithm)` Get a UIDescriptor for a JFrame using HTTPMD support
`static UIDescriptor` | `getUIDescriptor(String role, net.jini.lookup.ui.factory.JComponentFactory factory)` Get a UIDescriptor for a JComponentFactory
`static UIDescriptor` | `getUIDescriptor(String role, net.jini.lookup.ui.factory.JDialogFactory factory)` Get a UIDescriptor for a JDialogFactory
`static UIDescriptor` | `getUIDescriptor(String role, net.jini.lookup.ui.factory.JFrameFactory factory)` Get a UIDescriptor for a JFrameFactory
`static UIDescriptor` | `getUIDescriptor(String role, net.jini.lookup.ui.factory.JWindowFactory factory)`
`static UIDescriptor` | `getUIDescriptor(String role, String typeName, String codebase, String[] jars, String className, boolean computeHttpmd, String algorithm)` Get a UIDescriptor
`static UIDescriptor` | `getUIDescriptor(String role, String typeName, String codebase, String jarName, String className)` Get a UIDescriptor
`static UIDescriptor` | `getUIDescriptor(String role, String typeName, String codebase, String jarName, String className, boolean computeHttpmd, String algorithm)` Get a UIDescriptor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIDescriptorFactory

    public UIDescriptorFactory()

Method Detail

### getJComponentDesc

    public static UIDescriptor getJComponentDesc(String codebase,
                                                 String jarName,
                                                 String className)
                                          throws IOException

  Get a UIDescriptor for a JComponent

  Returns:
    A UIDescriptor
  Throws:
    `IOException`

### getJComponentDesc

    public static UIDescriptor getJComponentDesc(String codebase,
                                                 String[] jars,
                                                 String className)
                                          throws IOException

  Get a UIDescriptor for a JComponent

  Returns:
    A UIDescriptor
  Throws:
    `IOException`

### getJComponentDesc

    public static UIDescriptor getJComponentDesc(String codebase,
                                                 String jarName,
                                                 String className,
                                                 String algorithm)
                                          throws IOException,
                                                 NoSuchAlgorithmException

  Get a UIDescriptor for a JComponent using HTTPMD support

  Returns:
    A UIDescriptor
  Throws:
    `IOException`
    `NoSuchAlgorithmException`

### getJComponentDesc

    public static UIDescriptor getJComponentDesc(String codebase,
                                                 String[] jars,
                                                 String className,
                                                 String algorithm)
                                          throws IOException,
                                                 NoSuchAlgorithmException

  Get a UIDescriptor for a JComponent using HTTPMD support

  Returns:
    A UIDescriptor
  Throws:
    `IOException`
    `NoSuchAlgorithmException`

### getJFrameDesc

    public static UIDescriptor getJFrameDesc(String codebase,
                                             String jarName,
                                             String className)
                                      throws IOException

  Get a UIDescriptor for a JFrame

  Returns:
    A UIDescriptor
  Throws:
    `IOException`

### getJFrameDesc

    public static UIDescriptor getJFrameDesc(String codebase,
                                             String[] jars,
                                             String className)
                                      throws IOException

  Get a UIDescriptor for a JFrame

  Parameters:
    `codebase` -
    `jars` -
    `className` -
  Returns:
    A UIDescriptor
  Throws:
    `IOException`

### getJFrameDesc

    public static UIDescriptor getJFrameDesc(String codebase,
                                             String jarName,
                                             String className,
                                             String algorithm)
                                      throws IOException,
                                             NoSuchAlgorithmException

  Get a UIDescriptor for a JFrame using HTTPMD support

  Returns:
    A UIDescriptor
  Throws:
    `IOException`
    `NoSuchAlgorithmException`

### getJFrameDesc

    public static UIDescriptor getJFrameDesc(String codebase,
                                             String[] jars,
                                             String className,
                                             String algorithm)
                                      throws IOException,
                                             NoSuchAlgorithmException

  Get a UIDescriptor for a JFrame using HTTPMD support

  Returns:
    A UIDescriptor
  Throws:
    `IOException`
    `NoSuchAlgorithmException`

### getUIDescriptor

    public static UIDescriptor getUIDescriptor(String role,
                                               String typeName,
                                               String codebase,
                                               String jarName,
                                               String className)
                                        throws IOException

  Get a UIDescriptor

  Returns:
    A UIDescriptor
  Throws:
    `IOException`

### getUIDescriptor

    public static UIDescriptor getUIDescriptor(String role,
                                               String typeName,
                                               String codebase,
                                               String jarName,
                                               String className,
                                               boolean computeHttpmd,
                                               String algorithm)
                                        throws NoSuchAlgorithmException,
                                               IOException

  Get a UIDescriptor

  Parameters:
    `role` -
    `typeName` -
    `codebase` -
    `jarName` -
    `className` -
    `computeHttpmd` -
    `algorithm` -
  Returns:
    A UIDescriptor
  Throws:
    `NoSuchAlgorithmException`
    `IOException`

### getUIDescriptor

    public static UIDescriptor getUIDescriptor(String role,
                                               String typeName,
                                               String codebase,
                                               String[] jars,
                                               String className,
                                               boolean computeHttpmd,
                                               String algorithm)
                                        throws NoSuchAlgorithmException,
                                               IOException

  Get a UIDescriptor

  Returns:
    A UIDescriptor
  Throws:
    `NoSuchAlgorithmException`
    `IOException`

### getUIDescriptor

    public static UIDescriptor getUIDescriptor(String role,
                                               net.jini.lookup.ui.factory.JComponentFactory factory)
                                        throws IOException

  Get a UIDescriptor for a JComponentFactory

  Parameters:
    `role` - The role
    `factory` - A JComponentFactory
  Returns:
    A UIDescriptor
  Throws:
    `IOException`

### getUIDescriptor

    public static UIDescriptor getUIDescriptor(String role,
                                               net.jini.lookup.ui.factory.JDialogFactory factory)
                                        throws IOException

  Get a UIDescriptor for a JDialogFactory

  Parameters:
    `role` - The role
    `factory` - A JDialogFactory
  Returns:
    A UIDescriptor
  Throws:
    `IOException`

### getUIDescriptor

    public static UIDescriptor getUIDescriptor(String role,
                                               net.jini.lookup.ui.factory.JFrameFactory factory)
                                        throws IOException

  Get a UIDescriptor for a JFrameFactory

  Parameters:
    `role` - The role
    `factory` - A JFrameFactory
  Returns:
    A UIDescriptor
  Throws:
    `IOException`

### getUIDescriptor

    public static UIDescriptor getUIDescriptor(String role,
                                               net.jini.lookup.ui.factory.JWindowFactory factory)
                                        throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.